furios-firefox-tweaks (0.0.0+git20240520021616.b19b26e.trixie) trixie; urgency=medium

  [ Bardia Moshiri ]
  * circleci: add configs
  * circleci: use furilabs-buildd orb for checkout
  * debian: rebrand to furios-firefox-tweaks and switch to native

  [ Jesús Higueras ]
  * add firefox-gnome-theme as a submodule
  * build: adapt makefile to bundle the gnome theme
  * deb: touch ALL files, not only top-level css
  * browser/js: refactor autoconfig to resolove @import and svg paths
  * css: replace panel-specific hacks with an all-encompassing workaround
  * css: fade out url bar input overflow, improve spacing
  * css/home: reduce horizontal margins so we fit better on mobile
  * css/session-restore: reduce padding
  * browser/js: adjust default preferences, allow chrome script hooks
  * ci: kick.
  * config: add a bunch of performance tuning flags
  * css/home: further improve new tab page
  * css/nav: fix wonky menu positioning
  * css/urlbar: show forward button if can't go back
  * css/userchrome: all: use url-prefix() rather than url()
  * js/userchrome: blur url bar when user touches document
  * prefs: disable apz paint skipping to improve app menu latency
  * repo: import gnome theme directly
  * treewide: refactor panels entirely
  * css: tweak notification styling
  * prefs: improve performance & stability

  [ undef ]
  * New upstream version 3.1.0
  * Update upstream source from tag 'upstream/3.1.0'
  * d/gbp: fix upstream tag creation
  * d/control: bump standards and fix Vcs-* tags
  * d/changelog: clean changelog for Debian release
  * d/control: prepare for Debian release
  * d/copyright: Update after move to MPL-2.0
  * New upstream version 3.2.0
  * Update upstream source from tag 'upstream/3.2.0'
  * d/patches: remove upstreamed restart firefox patch
  * d/changelog: Prepare version 3.2.0-1
  * d/control: fix VCS tags after move to DebianOnMobile
  * d/watch: Update for current GitLab tags page
  * New upstream version 4.3.0
  * Update upstream source from tag 'upstream/4.3.0'
  * d/changelog: Release version 4.3.0

  [ Peter ]
  * Hide 'Firefox View' in css, as it can't be hidden in about:config on Firefox 123 (MR 43)
  * Follow up to MR41: hide identity-permission-box in urlbar (MR 42)
  * popups.css: make "native link dialog" adaptive (MR 44)
  * popups: Make senventh column of date picker visible (MR 45)
  * Fix bookmark menu on Firefox 124, bump copyright (MR 46)
  * popups.css: Fix various popup menus and installing extensions, including a fix for the overflow menu (MR 47)

  [ Peter M ]
  * Update urlbar.css: Hide translate and picture-in-picture icon in urlbar (MR 41)

  [ Oliver Smith ]
  * Initial commit
  * Initial: import from postmarketos-config-firefox
  * userChrome: add initial version
  * Makefile: new file
  * Remove most mentions of pmOS / make them optional
  * src/prefs.js: allow userChrome.css/userContent.css
  * Makefile: add install target
  * mobile-config-firefox: create userChrome.css symlink
  * License under GPL-3.0-or-higher
  * Makefile: minor consistency tweak
  * bottom.html: less redundant privacy note
  * README.md: add WIP
  * Makefile: fix desktop file install path
  * src: wrap firefox binary, not .desktop entry
  * src/prefs.js: less animations, one click urlbar select
  * wrapper: fix second start with wrong profile
  * Makefile: use wildcard for userChrome.css files
  * findbar.css: new file
  * popups.css: new file
  * urlbar.css: don't increase font size on focus
  * prefs.js: remove browser.uiCustomization.state
  * policies.json: don't disable developer tools
  * urlbar.css: add rules for FF 68 ESR
  * findbar.css: use [anonid="findbar-textbox"]
  * README.md: update
  * README.md: how to use remote debugger
  * homepage: no android in add-ons links
  * homepage: link to new mobile-config-firefox repo
  * README.md: add missing \n
  * README.md: look at "References" in upstream issue
  * src/prefs.js: rename to src/mobile-config-prefs.js (MR 2)
  * Remove FF 68 specific code and mentions
  * urlbar: don't do extra extension to left and right
  * userChrome: fix convergence usage case
  * user-agent: update to 78 from Tor browser Android
  * popup-notification: decrease font-size
  * homepage: update note on how to install add-ons
  * README: note that it works with convergence now
  * homepage: update text about changing preferences (MR 8)
  * treewide: bump copyright to 2021
  * homepage: link to firefox PC addons page
  * mobile-config-autoconfig: update user-agent (MR 16)
  * src/common/header.css: make it more fancy (MR 19)
  * treewide: format css files (MR 19)
  * editorconfig: new file (MR 19)
  * .ci/lint_css.sh: add dead simple linter (MR 19)
  * userChrome/browser: move nav bar to bottom (MR 19)
  * userChrome/urlbar: hide identity icon label (MR 19)
  * userChrome/urlbar: big search results on top (MR 19)
  * userChrome/appMenu: rework for FF 94 (MR 19)
  * userChrome/urlbar: hide bookmarks toolbar (MR 19)
  * userChrome/findbar: rework for FF 94 (MR 19)
  * userChrome/tabmenu: always show "all tabs" button (MR 19)
  * userChrome/tabmenu: fix tiny height/jumping around (MR 19)
  * userChrome/tabmenu: fix width for long titles (MR 19)
  * userChrome/appMenu: hide fullscreen button (MR 19)
  * userChrome/editBookmarkPanel: new file (MR 19)
  * user-agent: update to latest tor browser's UA (MR 19)
  * CI: lint: check js, json too (MR 19)
  * CI: lint: show "src" in error message too (MR 19)
  * autoconfig.js: fix indent (MR 19)
  * CI: lint: fix not working as pre-commit symlink (MR 19)
  * policies.json: fix indent (MR 19)
  * CI: lint: detect indent errors in json (MR 19)
  * contrib/extract-search-engines.sh: new file (MR 19)
  * policies.json: remove most default search engines (MR 19)
  * policies.json: install uBlock origin by default (MR 19)
  * policies.json: configure firefox home (MR 19)
  * Homepage: set to about:home (MR 19)
  * policies: disable UserMessaging/SkipOnboarding (MR 19)
  * autoconfig: don't suggest topsites in urlbar (MR 19)
  * autoconfig: don't suggest search engines in urlbar (MR 19)
  * userChrome/urlbar: hide amazon icon (MR 19)
  * userContent/home: make adaptive (MR 19)
  * autoconfig: set browser.newtabpage.enabled (MR 19)
  * userChrome/urlbar: update page-action-buttons id (MR 19)
  * userChrome/urlbar: hide robot icon on focus (MR 19)
  * userChrome/urlbar: tweak padding (MR 19)
  * userChrome/tabmenu: make it work with private mode (MR 19)
  * userChrome/popups.css: rework (MR 19)
  * userChrome/popups: make downloadsPanel adaptive (MR 19)
  * README.md: update for new FF >= 91 version (MR 19)
  * CI: run .ci/lint.sh (MR 19)
  * README.md: update
  * userChrome/browser: fix kiosk mode
  * userChrome/popups: move backForwardMenu on screen
  * treewide: change license to MPL-2.0
  * treewide: bump copyright to 2022
  * autoconfig: fix indentation
  * autoconfig: add log function
  * autoconfig: don't set default_prefs during restart
  * autoconfig: add log_obj debug function
  * autoconfig: add get_firefox_version function
  * editorconfig: use tabs in Makefile
  * Combine the CSS files on FF startup
  * autoconfig: add write_line() helper func
  * autoconfig: regenerate CSS when FF version changes
  * autoconfig: wrap most code in try…catch
  * userChrome/popups: FF >= 108: fix broken touch
  * autoconfig: prefix global variables with g_
  * autoconfig: move log_init code to function
  * autoconfig: store/compare the major FF version
  * autoconfig: get_firefox_version: remove try…catch
  * autoconfig: update comment on top of the file
  * autoconfig: move chrome_dir_init code to function
  * README: mention the new log file
  * autoconfig: move set_default_prefs down
  * autoconfig: disable firefox-view feature
  * editBookmarkPanel: adjust for current non-ESR FF
  * autoconfig: get_firefox_version: add try…catch
  * mobile-config-autoconfig: tweak css_files_update
  * mobile-config-autoconfig: fix 2x restart
  * README: log file: add tail -F to example
  * README: update supported versions
  * autoconfig: set media.webrtc.camera.allow-pipewire (MR 38)
  * README: link to current FF and FF ESR releases
  * Remove legacy code (< FF 115)
  * editorconfig: fix syntax
  * Makefile: add uninstall target
  * Makefile: install: add sanity checks

  [ Arnaud Ferraris ]
  * Makefile: allow to specify the firefox system directory (MR 1)
  * install userChrome.css using autoconfig instead of schell scripts (MR 2)
  * userChrome: instruct users to edit the file under /etc (MR 2)
  * Initial Debian release
  * d/patches: add Mobian-specific patches
  * d/changelog: release version 2.0.0-1
  * Merge branch 'mobian/latest' into 'mobian/latest'
  * New upstream version 2.1.0
  * d/patches: refresh Mobian patches
  * debian: drop salsa-ci
  * d/patches: allow user to change the user-agent
  * d/changelog: release version 2.1.0-1
  * d/patches: allow selecting a different config directory
  * d/rules: make sure we ship with the right distro name
  * d/changelog: release version 2.1.0-2
  * mobile-config-autoconfig: allow user to change the user-agent (MR 16)
  * Makefile: add variable for config directory (MR 16)
  * New upstream version 2.2.0
  * d/patches: remove upstreamed patches
  * d/patches: refresh patches
  * d/copyright: add metadata entry
  * d/changelog: release version 2.2.0-1
  * New upstream version 3.0.0
  * d/patches: update for new release
  * d/patches: leave search engine choice to users
  * debian: ensure updated files get installed
  * d/patches: ensure new chrome files are immediately used on update
  * d/rules: remove the use of the DISTRO env var
  * d/rules: install system policy to correct directory
  * d/copyright: refresh copyright information
  * d/control: bump Standards-Version, fix Vcs-* URLs
  * d/watch: add version mangle for RC versions
  * d/gbp.conf: update for Mobian
  * d/changelog: release version 3.0.0-1
  * d/gbp.conf: revert to usual Debian parameters
  * d/control: don't conflict with `mobian-tweaks`
  * d/changelog: release version 0.3.1-1
  * mobile-config-autoconfig: restart Firefox on update
  * d/changelog: release version 0.3.2-1
  * Update upstream source from tag 'upstream/4.0.1'
  * New upstream version 4.0.1
  * d/patches: refresh for new upstream version
  * d/control: bump Standards-Version, no change needed
  * debian: add lintian overrides
  * d/changelog: release version 4.0.1-1 to experimental
  * Update upstream source from tag 'upstream/4.0.2'
  * New upstream version 4.0.2
  * d/changelog: release version 4.0.2-1
  * Update upstream source from tag 'upstream/4.0.3'
  * New upstream version 4.0.3
  * d/changelog: release version 4.0.3-1
  * Update upstream source from tag 'upstream/4.0.4'
  * New upstream version 4.0.4
  * d/changelog: release version 4.0.4-1
  * New upstream version 4.2.0
  * Update upstream source from tag 'upstream/4.2.0'
  * d/patches: rebase on new upstream release
  * d/changelog: release version 4.2.0-1

  [ plata ]
  * gitlab-ci.yml: new file (MR 9)
  * Add CSS for about:preferences (MR 8)
  * README: add link to FirefoxCSS subreddit as additional resource (MR 7)
  * Move header to common folder (MR 11)
  * Save vertical space by drawing directly in the titlebar (MR 6)
  * Add appstream data file (MR 14)
  * CI: archive complete package (MR 15)
  * README: add resource "How to use the Firefox Browser Toolbox" (MR 22)
  * mobile-config-prefs.js: fix titlebar for plamo (MR 23)
  * Hide minimize/maximize/close buttons (MR 39)

  [ Ulrik de Muelenaere ]
  * userChrome/browser: Fix bottom navigation bar in FF 113 (MR 31)
  * userChrome/tabmenu: Fix height of tab menu in FF 113 (MR 31)
  * userChrome/tabmenu: Fix max width of tab menu in FF >= 106 (MR 31)
  * userChrome/tabmenu: Add note to a declaration obsoleted in FF 113 (MR 31)
  * autoconfig: Fix version detection on first start (MR 32)
  * autoconfig: Fix error due to Services import in FF 117 (MR 36)
  * userChrome/urlbar: Prevent urlbar from going past window bottom in FF 117 (MR 36)
  * userChrome/urlbar: Allow urlbar to shrink down to its min width (MR 37)

  [ Seth Falco ]
  * fix: don't override user-agent (MR 34)
  * fix: add mobile to user-agent (MR 35)

  [ grreby ]
  * add links to pmos wiki, add example of network location (MR 30)

  [ jane400 ]
  * mobile-config-prefs.js: enable TouchEvents API for mobile detection (MR 29)

  [ bgkillas ]
  * update useragent to help captchas

  [ Adam Thiede ]
  * change user-agent version 91->102 (current with tor browser on android) (MR 27)

  [ primalmotion ]
  * fix: various popups flickering (MR 25)

  [ Teemu Ikonen ]
  * userChrome/popups.css: Hide some context menu items (MR 24)

  [ Jami Kettunen ]
  * Makefile: remove unused variables (MR 21)

  [ Tim Magee ]
  * userContent/reader: make reader view adaptive (MR 19)

  [ Danct12 ]
  * README: fix capitalization of Tor (MR 4)
  * src/prefs.js: disable sandbox for non-ESR (MR 13)

  [ Anri Dellal ]
  * Make about: pages more adaptive (MR 10)
  * Change about:preferences style (MR 10)

  [ HenriDellal ]
  * preferences.css: various tweaks (MR 8)
  * Add dark theme for homepage (MR 5)

  [ Undef ]
  * d/salsa-ci: Add Debian CI configuration
  * Merge branch 'mobian/latest' into 'mobian/latest'

  [ ZenWalker ]
  * patches: Makefile: DISTRO Mobian instead postmarketOS

  [ Paper ]
  * policies.json: disable Pocket (MR 3)

  [ Dmytro Mishchenko ]
  * d/rules: Fix usage of DISTRO variable

 -- Bardia Moshiri <fakeshell@bardia.tech>  Sun, 19 May 2024 22:16:16 -0400

